// ILockAppService.aidl
package com.szipcs.duprivacylock.lock;

// Declare any non-default types here with import statements

interface ILockAppService {

    // 获取已经上锁的名单，每一项为一个包名
    String[] getLockedAppList();

    // 获取“弹出验证密码” 的intent，成功会返回RESULT_OK，其它值皆为失败
    Intent getVerifyPasswordIntent();

    // 获取“设置密码”的intent，启动此intent没有有意义的返回值
    Intent getSetPasswordIntent();

    // 获取“密码相关设置”页的intent，启动此intent没有有意义的返回值
    Intent getSettingPageIntent();

    // 用户是否已经设置过密码
    boolean isUnlockPasswordExists();

    // 更改一个包的锁定状态，返回true表示成功设置
    boolean changeAppLockState(String lockPkgName, boolean bLock);

    // 获取支持锁定的包名列表
    String[] getSupportedLockAppList();

    // 获取程序是否能被锁定
    boolean isAppSupportedToLock(String pkgName);

    // 获取程序是否被锁定
    boolean getAppLockState(String pkgName);
}
